{
  "name": "portal-bff",
  "$schema": "../../node_modules/nx/schemas/project-schema.json",
  "sourceRoot": "apps/portal-bff/src",
  "projectType": "application",
  "tags": ["scope:portal-bff", "type:app"],
  "targets": {
    "build": {
      "executor": "nx:run-commands",
      "options": {
        "command": "webpack-cli build",
        "args": ["--node-env=production"],
        "cwd": "apps/portal-bff"
      },
      "configurations": {
        "development": {
          "args": ["--node-env=development"]
        }
      }
    },
    "prune-lockfile": {
      "dependsOn": ["build"],
      "cache": true,
      "executor": "@nx/js:prune-lockfile",
      "outputs": [
        "{workspaceRoot}/dist/apps/portal-bff/package.json",
        "{workspaceRoot}/dist/apps/portal-bff/pnpm-lock.yaml"
      ],
      "options": {
        "buildTarget": "build"
      }
    },
    "copy-workspace-modules": {
      "dependsOn": ["build"],
      "cache": true,
      "outputs": ["{workspaceRoot}/dist/apps/portal-bff/workspace_modules"],
      "executor": "@nx/js:copy-workspace-modules",
      "options": {
        "buildTarget": "build"
      }
    },
    "prune": {
      "dependsOn": ["prune-lockfile", "copy-workspace-modules"],
      "executor": "nx:noop"
    },
    "serve": {
      "continuous": true,
      "executor": "@nx/js:node",
      "defaultConfiguration": "development",
      "dependsOn": ["build"],
      "options": {
        "buildTarget": "portal-bff:build",
        "runBuildTargetDependencies": false
      },
      "configurations": {
        "development": {
          "buildTarget": "portal-bff:build:development"
        },
        "production": {
          "buildTarget": "portal-bff:build:production"
        }
      }
    },
    "test": {
      "options": {
        "passWithNoTests": true
      }
    }
  }
}
